Tables
6 API calls in this section.
Create Table
/restaurant/locations/:locationId/tables1curl --request POST "$ONDI_BASE_URL/restaurant/locations/:locationId/tables" \2 --header "Authorization: Bearer {{access_token}}" \3 --header "Content-Type: application/json" \4 --data '{5 "code": "A05",6 "name": {7 "en": "Table A05"8 },9 "section": "Patio",10 "seating_capacity": 4,11 "meta": {12 "position": {13 "x": 12,14 "y": 8,15 "rotation": 016 },17 "attributes": {18 "shape": "round",19 "tags": [20 "window"21 ]22 }23 },24 "active": true25}'1{2 "code": "A05",3 "name": {4 "en": "Table A05"5 },6 "section": "Patio",7 "seating_capacity": 4,8 "meta": {9 "position": {10 "x": 12,11 "y": 8,12 "rotation": 013 },14 "attributes": {15 "shape": "round",16 "tags": [17 "window"18 ]19 }20 },21 "active": true22}Path parameters
locationIdRequiredRequest body fields
codeExampleExample field from the request body.
nameExampleExample field from the request body.
name.enExampleExample field from the request body.
sectionExampleExample field from the request body.
seating_capacityExampleExample field from the request body.
metaExampleExample field from the request body.
meta.positionExampleExample field from the request body.
meta.position.xExampleExample field from the request body.
meta.position.yExampleExample field from the request body.
meta.position.rotationExampleExample field from the request body.
meta.attributesExampleExample field from the request body.
meta.attributes.shapeExampleExample field from the request body.
meta.attributes.tagsExampleExample field from the request body.
activeExampleExample field from the request body.
Headers
AuthorizationOptionalBearer {{access_token}}
Responses
1{2 "success": true,3 "data": {4 "id": "{{tableId}}",5 "location_id": "{{locationId}}",6 "code": "A05",7 "name": {8 "en": "Table A05"9 },10 "section": "Patio",11 "seating_capacity": 4,12 "meta": {13 "position": {14 "x": 12,15 "y": 8,16 "rotation": 017 }18 },19 "active": true20 }21}List Tables
/restaurant/locations/:locationId/tables?page=1&limit=10§ion=Patio&min_seating=2&max_seating=61curl --request GET "$ONDI_BASE_URL/restaurant/locations/:locationId/tables?page=1&limit=10§ion=Patio&min_seating=2&max_seating=6" \2 --header "Authorization: Bearer {{access_token}}"Path parameters
locationIdRequiredQuery parameters
pageOptional1
limitOptional10
sectionOptionalPatio
min_seatingOptional2
max_seatingOptional6
Headers
AuthorizationOptionalBearer {{access_token}}
Responses
1{2 "success": true,3 "data": [4 {5 "id": "{{tableId}}",6 "code": "A05",7 "section": "Patio",8 "seating_capacity": 4,9 "qr_label_url": "https://cdn.example.com/documents/restaurant/table-qr/{{tableId}}.pdf"10 }11 ],12 "page": 1,13 "limit": 10,14 "total": 115}Get Table
/restaurant/tables/:tableId1curl --request GET "$ONDI_BASE_URL/restaurant/tables/:tableId" \2 --header "Authorization: Bearer {{access_token}}"Path parameters
tableIdRequiredHeaders
AuthorizationOptionalBearer {{access_token}}
Responses
1{2 "success": true,3 "data": {4 "id": "{{tableId}}",5 "code": "A05",6 "name": {7 "en": "Table A05"8 },9 "section": "Patio",10 "seating_capacity": 4,11 "qr_label_url": "https://cdn.example.com/documents/restaurant/table-qr/{{tableId}}.pdf"12 }13}Update Table
/restaurant/tables/:tableId1curl --request PUT "$ONDI_BASE_URL/restaurant/tables/:tableId" \2 --header "Authorization: Bearer {{access_token}}" \3 --header "Content-Type: application/json" \4 --data '{5 "name": {6 "en": "Table A05 - Window"7 },8 "section": "Patio",9 "seating_capacity": 6,10 "meta": {11 "position": {12 "x": 14,13 "y": 9,14 "rotation": 015 },16 "attributes": {17 "shape": "round",18 "tags": [19 "window",20 "vip"21 ]22 }23 },24 "active": true25}'1{2 "name": {3 "en": "Table A05 - Window"4 },5 "section": "Patio",6 "seating_capacity": 6,7 "meta": {8 "position": {9 "x": 14,10 "y": 9,11 "rotation": 012 },13 "attributes": {14 "shape": "round",15 "tags": [16 "window",17 "vip"18 ]19 }20 },21 "active": true22}Path parameters
tableIdRequiredRequest body fields
nameExampleExample field from the request body.
name.enExampleExample field from the request body.
sectionExampleExample field from the request body.
seating_capacityExampleExample field from the request body.
metaExampleExample field from the request body.
meta.positionExampleExample field from the request body.
meta.position.xExampleExample field from the request body.
meta.position.yExampleExample field from the request body.
meta.position.rotationExampleExample field from the request body.
meta.attributesExampleExample field from the request body.
meta.attributes.shapeExampleExample field from the request body.
meta.attributes.tagsExampleExample field from the request body.
activeExampleExample field from the request body.
Headers
AuthorizationOptionalBearer {{access_token}}
Responses
1{2 "success": true,3 "data": {4 "id": "{{tableId}}",5 "name": {6 "en": "Table A05 - Window"7 },8 "section": "Patio",9 "seating_capacity": 6,10 "active": true11 }12}Delete Table
/restaurant/tables/:tableId1curl --request DELETE "$ONDI_BASE_URL/restaurant/tables/:tableId" \2 --header "Authorization: Bearer {{access_token}}"Path parameters
tableIdRequiredHeaders
AuthorizationOptionalBearer {{access_token}}
Responses
1{2 "success": true,3 "data": {4 "id": "{{tableId}}"5 }6}List Sections
/restaurant/locations/:locationId/sections?page=1&limit=10&search=1curl --request GET "$ONDI_BASE_URL/restaurant/locations/:locationId/sections?page=1&limit=10&search=" \2 --header "Authorization: Bearer {{access_token}}"Path parameters
locationIdRequiredQuery parameters
pageOptional1
limitOptional10
searchOptionalHeaders
AuthorizationOptionalBearer {{access_token}}
Responses
1{2 "success": true,3 "data": [4 {5 "name": "Patio",6 "tenant_id": "..."7 }8 ],9 "page": 1,10 "limit": 10,11 "total": 112}